345 345
346 - `index: number`346 - `index: number`
347 347
348 The index of the file in the list of files.348 The index in the output text at which to insert the file citation.
349 349
350 - `type: "file_citation"`350 - `type: "file_citation"`
351 351
913 913
914 - `"incomplete"`914 - `"incomplete"`
915 915
916 - `WebSearchCall object { id, action, status, type }`916 - `WebSearchCall object { id, status, type, action }`
917 917
918 The results of a web search tool call. See the918 The results of a web search tool call. See the
919 [web search guide](/api/docs/guides/tools-web-search) for more information.919 [web search guide](/api/docs/guides/tools-web-search) for more information.
922 922
923 The unique ID of the web search tool call.923 The unique ID of the web search tool call.
924 924
925 - `action: object { type, queries, query, sources } or object { type, url } or object { pattern, type, url }`925 - `status: "in_progress" or "searching" or "completed" or 2 more`
926
927 The status of the web search tool call.
928
929 - `"in_progress"`
930
931 - `"searching"`
932
933 - `"completed"`
934
935 - `"failed"`
936
937 - `"incomplete"`
938
939 - `type: "web_search_call"`
940
941 The type of the web search tool call. Always `web_search_call`.
942
943 - `"web_search_call"`
944
945 - `action: optional object { type, queries, query, sources } or object { type, url } or object { pattern, type, url }`
926 946
927 An object describing the specific action taken in this web search call.947 An object describing the specific action taken in this web search call.
928 Includes details on how the model used the web (search, open_page, find_in_page).948 Includes details on how the model used the web (search, open_page, find_in_page).
991 1011
992 The URL of the page searched for the pattern.1012 The URL of the page searched for the pattern.
993 1013
994 - `status: "in_progress" or "searching" or "completed" or 2 more`
995
996 The status of the web search tool call.
997
998 - `"in_progress"`
999
1000 - `"searching"`
1001
1002 - `"completed"`
1003
1004 - `"failed"`
1005
1006 - `"incomplete"`
1007
1008 - `type: "web_search_call"`
1009
1010 The type of the web search tool call. Always `web_search_call`.
1011
1012 - `"web_search_call"`
1013
1014 - `FunctionCall object { arguments, call_id, name, 6 more }`1014 - `FunctionCall object { arguments, call_id, name, 6 more }`
1015 1015
1016 A tool call to run a function. See the1016 A tool call to run a function. See the
1414 1414
1415 Combine multiple filters using `and` or `or`.1415 Combine multiple filters using `and` or `or`.
1416 1416
1417 - `filters: array of ComparisonFilter or unknown`1417 - `filters: array of ComparisonFilter or CompoundFilter`
1418 1418
1419 Array of filters to combine. Items can be `ComparisonFilter` or `CompoundFilter`.1419 Array of filters to combine. Items can be `ComparisonFilter` or `CompoundFilter`.
1420 1420
1422 1422
1423 A filter used to compare a specified attribute key to a given value using a defined comparison operation.1423 A filter used to compare a specified attribute key to a given value using a defined comparison operation.
1424 1424
1425 - `unknown`1425 - `CompoundFilter object { filters, type }`
1426
1427 Combine multiple filters using `and` or `or`.
1426 1428
1427 - `type: "and" or "or"`1429 - `type: "and" or "or"`
1428 1430
6112 6114
6113 - `"disabled"`6115 - `"disabled"`
6114 6116
6115- `user: optional string`6117- `user: optional string or null`
6116 6118
6117 This field is being replaced by `safety_identifier` and `prompt_cache_key`. Use `prompt_cache_key` instead to maintain caching optimizations.6119 This field is being replaced by `safety_identifier` and `prompt_cache_key`. Use `prompt_cache_key` instead to maintain caching optimizations.
6118 A stable identifier for your end-users.6120 A stable identifier for your end-users.
6498 6500
6499 - `index: number`6501 - `index: number`
6500 6502
6501 The index of the file in the list of files.6503 The index in the output text at which to insert the file citation.
6502 6504
6503 - `type: "file_citation"`6505 - `type: "file_citation"`
6504 6506
7066 7068
7067 - `"incomplete"`7069 - `"incomplete"`
7068 7070
7069 - `WebSearchCall object { id, action, status, type }`7071 - `WebSearchCall object { id, status, type, action }`
7070 7072
7071 The results of a web search tool call. See the7073 The results of a web search tool call. See the
7072 [web search guide](/api/docs/guides/tools-web-search) for more information.7074 [web search guide](/api/docs/guides/tools-web-search) for more information.
7075 7077
7076 The unique ID of the web search tool call.7078 The unique ID of the web search tool call.
7077 7079
7078 - `action: object { type, queries, query, sources } or object { type, url } or object { pattern, type, url }`7080 - `status: "in_progress" or "searching" or "completed" or 2 more`
7081
7082 The status of the web search tool call.
7083
7084 - `"in_progress"`
7085
7086 - `"searching"`
7087
7088 - `"completed"`
7089
7090 - `"failed"`
7091
7092 - `"incomplete"`
7093
7094 - `type: "web_search_call"`
7095
7096 The type of the web search tool call. Always `web_search_call`.
7097
7098 - `"web_search_call"`
7099
7100 - `action: optional object { type, queries, query, sources } or object { type, url } or object { pattern, type, url }`
7079 7101
7080 An object describing the specific action taken in this web search call.7102 An object describing the specific action taken in this web search call.
7081 Includes details on how the model used the web (search, open_page, find_in_page).7103 Includes details on how the model used the web (search, open_page, find_in_page).
7144 7166
7145 The URL of the page searched for the pattern.7167 The URL of the page searched for the pattern.
7146 7168
7147 - `status: "in_progress" or "searching" or "completed" or 2 more`
7148
7149 The status of the web search tool call.
7150
7151 - `"in_progress"`
7152
7153 - `"searching"`
7154
7155 - `"completed"`
7156
7157 - `"failed"`
7158
7159 - `"incomplete"`
7160
7161 - `type: "web_search_call"`
7162
7163 The type of the web search tool call. Always `web_search_call`.
7164
7165 - `"web_search_call"`
7166
7167 - `FunctionCall object { arguments, call_id, name, 6 more }`7169 - `FunctionCall object { arguments, call_id, name, 6 more }`
7168 7170
7169 A tool call to run a function. See the7171 A tool call to run a function. See the
7567 7569
7568 Combine multiple filters using `and` or `or`.7570 Combine multiple filters using `and` or `or`.
7569 7571
7570 - `filters: array of ComparisonFilter or unknown`7572 - `filters: array of ComparisonFilter or CompoundFilter`
7571 7573
7572 Array of filters to combine. Items can be `ComparisonFilter` or `CompoundFilter`.7574 Array of filters to combine. Items can be `ComparisonFilter` or `CompoundFilter`.
7573 7575
7575 7577
7576 A filter used to compare a specified attribute key to a given value using a defined comparison operation.7578 A filter used to compare a specified attribute key to a given value using a defined comparison operation.
7577 7579
7578 - `unknown`7580 - `CompoundFilter object { filters, type }`
7581
7582 Combine multiple filters using `and` or `or`.
7579 7583
7580 - `type: "and" or "or"`7584 - `type: "and" or "or"`
7581 7585
11046 11050
11047 The namespace of the tool that produced the output.11051 The namespace of the tool that produced the output.
11048 11052
11049 - `WebSearchCall object { id, action, status, type }`11053 - `WebSearchCall object { id, status, type, action }`
11050 11054
11051 The results of a web search tool call. See the11055 The results of a web search tool call. See the
11052 [web search guide](/api/docs/guides/tools-web-search) for more information.11056 [web search guide](/api/docs/guides/tools-web-search) for more information.
11055 11059
11056 The unique ID of the web search tool call.11060 The unique ID of the web search tool call.
11057 11061
11058 - `action: object { type, queries, query, sources } or object { type, url } or object { pattern, type, url }`11062 - `status: "in_progress" or "searching" or "completed" or 2 more`
11063
11064 The status of the web search tool call.
11065
11066 - `"in_progress"`
11067
11068 - `"searching"`
11069
11070 - `"completed"`
11071
11072 - `"failed"`
11073
11074 - `"incomplete"`
11075
11076 - `type: "web_search_call"`
11077
11078 The type of the web search tool call. Always `web_search_call`.
11079
11080 - `"web_search_call"`
11081
11082 - `action: optional object { type, queries, query, sources } or object { type, url } or object { pattern, type, url }`
11059 11083
11060 An object describing the specific action taken in this web search call.11084 An object describing the specific action taken in this web search call.
11061 Includes details on how the model used the web (search, open_page, find_in_page).11085 Includes details on how the model used the web (search, open_page, find_in_page).
11124 11148
11125 The URL of the page searched for the pattern.11149 The URL of the page searched for the pattern.
11126 11150
11127 - `status: "in_progress" or "searching" or "completed" or 2 more`
11128
11129 The status of the web search tool call.
11130
11131 - `"in_progress"`
11132
11133 - `"searching"`
11134
11135 - `"completed"`
11136
11137 - `"failed"`
11138
11139 - `"incomplete"`
11140
11141 - `type: "web_search_call"`
11142
11143 The type of the web search tool call. Always `web_search_call`.
11144
11145 - `"web_search_call"`
11146
11147 - `ComputerCall object { id, call_id, pending_safety_checks, 4 more }`11151 - `ComputerCall object { id, call_id, pending_safety_checks, 4 more }`
11148 11152
11149 A tool call to a computer use tool. See the11153 A tool call to a computer use tool. See the
15732 15736
15733 - `"disabled"`15737 - `"disabled"`
15734 15738
15735 - `usage: optional ResponseUsage`15739 - `usage: optional ResponseUsage or null`
15736 15740
15737 Represents token usage details including input tokens, output tokens,15741 Represents token usage details including input tokens, output tokens,
15738 a breakdown of output tokens, and the total tokens used.15742 a breakdown of output tokens, and the total tokens used.
15770 15774
15771 The total number of tokens used.15775 The total number of tokens used.
15772 15776
15773 - `user: optional string`15777 - `user: optional string or null`
15774 15778
15775 This field is being replaced by `safety_identifier` and `prompt_cache_key`. Use `prompt_cache_key` instead to maintain caching optimizations.15779 This field is being replaced by `safety_identifier` and `prompt_cache_key`. Use `prompt_cache_key` instead to maintain caching optimizations.
15776 A stable identifier for your end-users.15780 A stable identifier for your end-users.
15782curl https://api.openai.com/v1/responses \15786curl https://api.openai.com/v1/responses \
15783 -H 'Content-Type: application/json' \15787 -H 'Content-Type: application/json' \
15784 -H "Authorization: Bearer $OPENAI_API_KEY" \15788 -H "Authorization: Bearer $OPENAI_API_KEY" \
15785 -d '{15789 -d '"string"'
15786 "context_management": [
15787 {
15788 "type": "type"
15789 }
15790 ],
15791 "model": "gpt-6-astra",
15792 "prompt_cache_key": "prompt-cache-key-1234",
15793 "safety_identifier": "safety-identifier-1234",
15794 "temperature": 1,
15795 "top_p": 1,
15796 "user": "user-1234"
15797 }'
15798```15790```
15799 15791
15800#### Response15792#### Response
15801 15793
15802```json15794```json
15803{15795{
15804 "id": "id",15796 "id": "resp_67ccd3a9da748190baa7f1570fe91ac604becb25c45c1d41",
15805 "access_programs": {
15806 "cyber": "standard"
15807 },
15808 "created_at": 0,
15809 "error": {
15810 "code": "server_error",
15811 "message": "message",
15812 "misalignment": {
15813 "detailed_explanation": "detailed_explanation",
15814 "error_type": "potentially_unintended_data_transfer",
15815 "steer": {
15816 "message": "message"
15817 }
15818 }
15819 },
15820 "incomplete_details": {
15821 "reason": "max_output_tokens"
15822 },
15823 "instructions": "string",
15824 "metadata": {
15825 "foo": "string"
15826 },
15827 "model": "gpt-6-astra",
15828 "object": "response",15797 "object": "response",
15798 "access_programs": null,
15799 "created_at": 1741476777,
15800 "status": "completed",
15801 "completed_at": 1741476778,
15802 "error": null,
15803 "incomplete_details": null,
15804 "instructions": null,
15805 "max_output_tokens": null,
15806 "model": "gpt-6-astra",
15829 "output": [15807 "output": [
15830 {15808 {
15831 "id": "id",15809 "type": "message",
15810 "id": "msg_67ccd3acc8d48190a77525dc6de64b4104becb25c45c1d41",
15811 "status": "completed",
15812 "role": "assistant",
15832 "content": [15813 "content": [
15833 {15814 {
15834 "annotations": [15815 "type": "output_text",
15835 {15816 "text": "The image depicts a scenic landscape with a wooden boardwalk or pathway leading through lush, green grass under a blue sky with some clouds. The setting suggests a peaceful natural area, possibly a park or nature reserve. There are trees and shrubs in the background.",
15836 "file_id": "file_id",15817 "annotations": [],
15837 "filename": "filename",15818 "logprobs": []
15838 "index": 0,
15839 "type": "file_citation"
15840 }
15841 ],
15842 "logprobs": [
15843 {
15844 "token": "token",
15845 "bytes": [
15846 0
15847 ],
15848 "logprob": 0,
15849 "top_logprobs": [
15850 {
15851 "token": "token",
15852 "bytes": [
15853 0
15854 ],
15855 "logprob": 0
15856 }15819 }
15857 ]15820 ]
15858 }15821 }
15859 ],15822 ],
15860 "text": "text",
15861 "type": "output_text"
15862 }
15863 ],
15864 "role": "assistant",
15865 "status": "in_progress",
15866 "type": "message",
15867 "phase": "commentary"
15868 }
15869 ],
15870 "parallel_tool_calls": true,15823 "parallel_tool_calls": true,
15871 "temperature": 1,15824 "previous_response_id": null,
15872 "tool_choice": "none",15825 "reasoning": {
15873 "tools": [15826 "effort": null,
15874 {15827 "summary": null,
15875 "name": "name",15828 "context": null
15876 "parameters": {
15877 "foo": "bar"
15878 },15829 },
15879 "strict": true,15830 "store": true,
15880 "type": "function",15831 "temperature": 1,
15881 "allowed_callers": [15832 "text": {
15882 "direct"15833 "format": {
15883 ],15834 "type": "text"
15884 "async": true,
15885 "defer_loading": true,
15886 "description": "description",
15887 "output_schema": {
15888 "foo": "bar"
15889 }
15890 }15835 }
15891 ],15836 },
15837 "tool_choice": "auto",
15838 "tools": [],
15892 "top_p": 1,15839 "top_p": 1,
15893 "background": true,15840 "truncation": "disabled",
15894 "completed_at": 0,15841 "usage": {
15842 "input_tokens": 328,
15843 "input_tokens_details": {
15844 "cached_tokens": 0,
15845 "cache_write_tokens": 0
15846 },
15847 "output_tokens": 52,
15848 "output_tokens_details": {
15849 "reasoning_tokens": 0
15850 },
15851 "total_tokens": 380
15852 },
15853 "user": null,
15854 "metadata": {},
15895 "conversation": {15855 "conversation": {
15896 "id": "id"15856 "id": "id"
15897 },15857 },
15898 "max_output_tokens": 0,
15899 "max_tool_calls": 0,
15900 "moderation": {15858 "moderation": {
15901 "input": {15859 "input": {
15902 "categories": {15860 "categories": {
15932 }15890 }
15933 },15891 },
15934 "output_text": "output_text",15892 "output_text": "output_text",
15935 "previous_response_id": "previous_response_id",
15936 "prompt": {
15937 "id": "id",
15938 "variables": {
15939 "foo": "string"
15940 },
15941 "version": "version"
15942 },
15943 "prompt_cache_diagnostics": {15893 "prompt_cache_diagnostics": {
15944 "cache_missed_tokens": 0,15894 "cache_missed_tokens": 0,
15945 "reason": "model_changed",15895 "reason": "model_changed",
15946 "type": "cache_miss",15896 "type": "cache_miss",
15947 "comparison_reusable_tokens": 015897 "comparison_reusable_tokens": 0
15948 },15898 },
15949 "prompt_cache_key": "prompt-cache-key-1234",
15950 "prompt_cache_options": {15899 "prompt_cache_options": {
15951 "mode": "implicit",15900 "mode": "implicit",
15952 "ttl": "30m",15901 "ttl": "30m",
15953 "comparison_response_id": "comparison_response_id"15902 "comparison_response_id": "comparison_response_id"
15954 },15903 },
15955 "prompt_cache_retention": "in_memory",15904 "service_tier": "auto"
15956 "reasoning": {
15957 "context": "auto",
15958 "effort": "none",
15959 "generate_summary": "auto",
15960 "mode": "standard",
15961 "summary": "auto"
15962 },
15963 "safety_identifier": "safety-identifier-1234",
15964 "service_tier": "auto",
15965 "status": "completed",
15966 "text": {
15967 "format": {
15968 "type": "text"
15969 },
15970 "verbosity": "low"
15971 },
15972 "top_logprobs": 0,
15973 "truncation": "auto",
15974 "usage": {
15975 "input_tokens": 0,
15976 "input_tokens_details": {
15977 "cache_write_tokens": 0,
15978 "cached_tokens": 0
15979 },
15980 "output_tokens": 0,
15981 "output_tokens_details": {
15982 "reasoning_tokens": 0
15983 },
15984 "total_tokens": 0
15985 },
15986 "user": "user-1234"
15987}15905}
15988```15906```
15989 15907
16180 "file_id": "file-4wDz5b167pAf72nx1h9eiN",16098 "file_id": "file-4wDz5b167pAf72nx1h9eiN",
16181 "filename": "dragons.pdf"16099 "filename": "dragons.pdf"
16182 }16100 }
16183 ]16101 ],
16102 "logprobs": []
16184 }16103 }
16185 ]16104 ]
16186 }16105 }
16341 "output_tokens_details": {16260 "output_tokens_details": {
16342 "reasoning_tokens": 016261 "reasoning_tokens": 0
16343 },16262 },
16344 "total_tokens": 31416263 "total_tokens": 314,
16264 "input_tokens_details": {
16265 "cached_tokens": 0,
16266 "cache_write_tokens": 0
16267 }
16345 },16268 },
16346 "user": null,16269 "user": null,
16347 "metadata": {}16270 "metadata": {}
16396 {16319 {
16397 "type": "output_text",16320 "type": "output_text",
16398 "text": "The image depicts a scenic landscape with a wooden boardwalk or pathway leading through lush, green grass under a blue sky with some clouds. The setting suggests a peaceful natural area, possibly a park or nature reserve. There are trees and shrubs in the background.",16321 "text": "The image depicts a scenic landscape with a wooden boardwalk or pathway leading through lush, green grass under a blue sky with some clouds. The setting suggests a peaceful natural area, possibly a park or nature reserve. There are trees and shrubs in the background.",
16399 "annotations": []16322 "annotations": [],
16323 "logprobs": []
16400 }16324 }
16401 ]16325 ]
16402 }16326 }
16475 {16399 {
16476 "type": "output_text",16400 "type": "output_text",
16477 "text": "The classic tongue twister...",16401 "text": "The classic tongue twister...",
16478 "annotations": []16402 "annotations": [],
16403 "logprobs": []
16479 }16404 }
16480 ]16405 ]
16481 }16406 }
16532 16457
16533```json16458```json
16534event: response.created16459event: response.created
16535data: {"type":"response.created","response":{"id":"resp_67c9fdcecf488190bdd9a0409de3a1ec07b8b0ad4e5eb654","object":"response","access_programs":null,"created_at":1741290958,"status":"in_progress","error":null,"incomplete_details":null,"instructions":"You are a helpful assistant.","max_output_tokens":null,"model":"gpt-6-astra","output":[],"parallel_tool_calls":true,"previous_response_id":null,"reasoning":{"effort":null,"summary":null},"store":true,"temperature":1.0,"text":{"format":{"type":"text"}},"tool_choice":"auto","tools":[],"top_p":1.0,"truncation":"disabled","usage":null,"user":null,"metadata":{}}}16460data: {"type":"response.created","response":{"id":"resp_67c9fdcecf488190bdd9a0409de3a1ec07b8b0ad4e5eb654","object":"response","access_programs":null,"created_at":1741290958,"status":"in_progress","error":null,"incomplete_details":null,"instructions":"You are a helpful assistant.","max_output_tokens":null,"model":"gpt-6-astra","output":[],"parallel_tool_calls":true,"previous_response_id":null,"reasoning":{"effort":null,"summary":null},"store":true,"temperature":1.0,"text":{"format":{"type":"text"}},"tool_choice":"auto","tools":[],"top_p":1.0,"truncation":"disabled","usage":null,"user":null,"metadata":{}},"sequence_number":0}
16536 16461
16537event: response.in_progress16462event: response.in_progress
16538data: {"type":"response.in_progress","response":{"id":"resp_67c9fdcecf488190bdd9a0409de3a1ec07b8b0ad4e5eb654","object":"response","access_programs":null,"created_at":1741290958,"status":"in_progress","error":null,"incomplete_details":null,"instructions":"You are a helpful assistant.","max_output_tokens":null,"model":"gpt-6-astra","output":[],"parallel_tool_calls":true,"previous_response_id":null,"reasoning":{"effort":null,"summary":null},"store":true,"temperature":1.0,"text":{"format":{"type":"text"}},"tool_choice":"auto","tools":[],"top_p":1.0,"truncation":"disabled","usage":null,"user":null,"metadata":{}}}16463data: {"type":"response.in_progress","response":{"id":"resp_67c9fdcecf488190bdd9a0409de3a1ec07b8b0ad4e5eb654","object":"response","access_programs":null,"created_at":1741290958,"status":"in_progress","error":null,"incomplete_details":null,"instructions":"You are a helpful assistant.","max_output_tokens":null,"model":"gpt-6-astra","output":[],"parallel_tool_calls":true,"previous_response_id":null,"reasoning":{"effort":null,"summary":null},"store":true,"temperature":1.0,"text":{"format":{"type":"text"}},"tool_choice":"auto","tools":[],"top_p":1.0,"truncation":"disabled","usage":null,"user":null,"metadata":{}},"sequence_number":1}
16539 16464
16540event: response.output_item.added16465event: response.output_item.added
16541data: {"type":"response.output_item.added","output_index":0,"item":{"id":"msg_67c9fdcf37fc8190ba82116e33fb28c507b8b0ad4e5eb654","type":"message","status":"in_progress","role":"assistant","content":[]}}16466data: {"type":"response.output_item.added","output_index":0,"item":{"id":"msg_67c9fdcf37fc8190ba82116e33fb28c507b8b0ad4e5eb654","type":"message","status":"in_progress","role":"assistant","content":[]},"sequence_number":2}
16542 16467
16543event: response.content_part.added16468event: response.content_part.added
16544data: {"type":"response.content_part.added","item_id":"msg_67c9fdcf37fc8190ba82116e33fb28c507b8b0ad4e5eb654","output_index":0,"content_index":0,"part":{"type":"output_text","text":"","annotations":[]}}16469data: {"type":"response.content_part.added","item_id":"msg_67c9fdcf37fc8190ba82116e33fb28c507b8b0ad4e5eb654","output_index":0,"content_index":0,"part":{"type":"output_text","text":"","annotations":[],"logprobs":[]},"sequence_number":3}
16545 16470
16546event: response.output_text.delta16471event: response.output_text.delta
16547data: {"type":"response.output_text.delta","item_id":"msg_67c9fdcf37fc8190ba82116e33fb28c507b8b0ad4e5eb654","output_index":0,"content_index":0,"delta":"Hi"}16472data: {"type":"response.output_text.delta","item_id":"msg_67c9fdcf37fc8190ba82116e33fb28c507b8b0ad4e5eb654","output_index":0,"content_index":0,"delta":"Hi","sequence_number":4,"logprobs":[]}
16548 16473
16549...16474: Intermediate response events omitted.
16550 16475
16551event: response.output_text.done16476event: response.output_text.done
16552data: {"type":"response.output_text.done","item_id":"msg_67c9fdcf37fc8190ba82116e33fb28c507b8b0ad4e5eb654","output_index":0,"content_index":0,"text":"Hi there! How can I assist you today?"}16477data: {"type":"response.output_text.done","item_id":"msg_67c9fdcf37fc8190ba82116e33fb28c507b8b0ad4e5eb654","output_index":0,"content_index":0,"text":"Hi there! How can I assist you today?","sequence_number":10,"logprobs":[]}
16553 16478
16554event: response.content_part.done16479event: response.content_part.done
16555data: {"type":"response.content_part.done","item_id":"msg_67c9fdcf37fc8190ba82116e33fb28c507b8b0ad4e5eb654","output_index":0,"content_index":0,"part":{"type":"output_text","text":"Hi there! How can I assist you today?","annotations":[]}}16480data: {"type":"response.content_part.done","item_id":"msg_67c9fdcf37fc8190ba82116e33fb28c507b8b0ad4e5eb654","output_index":0,"content_index":0,"part":{"type":"output_text","text":"Hi there! How can I assist you today?","annotations":[],"logprobs":[]},"sequence_number":11}
16556 16481
16557event: response.output_item.done16482event: response.output_item.done
16558data: {"type":"response.output_item.done","output_index":0,"item":{"id":"msg_67c9fdcf37fc8190ba82116e33fb28c507b8b0ad4e5eb654","type":"message","status":"completed","role":"assistant","content":[{"type":"output_text","text":"Hi there! How can I assist you today?","annotations":[]}]}}16483data: {"type":"response.output_item.done","output_index":0,"item":{"id":"msg_67c9fdcf37fc8190ba82116e33fb28c507b8b0ad4e5eb654","type":"message","status":"completed","role":"assistant","content":[{"type":"output_text","text":"Hi there! How can I assist you today?","annotations":[],"logprobs":[]}]},"sequence_number":12}
16559 16484
16560event: response.completed16485event: response.completed
16561data: {"type":"response.completed","response":{"id":"resp_67c9fdcecf488190bdd9a0409de3a1ec07b8b0ad4e5eb654","object":"response","access_programs":null,"created_at":1741290958,"status":"completed","error":null,"incomplete_details":null,"instructions":"You are a helpful assistant.","max_output_tokens":null,"model":"gpt-6-astra","output":[{"id":"msg_67c9fdcf37fc8190ba82116e33fb28c507b8b0ad4e5eb654","type":"message","status":"completed","role":"assistant","content":[{"type":"output_text","text":"Hi there! How can I assist you today?","annotations":[]}]}],"parallel_tool_calls":true,"previous_response_id":null,"reasoning":{"effort":null,"summary":null},"store":true,"temperature":1.0,"text":{"format":{"type":"text"}},"tool_choice":"auto","tools":[],"top_p":1.0,"truncation":"disabled","usage":{"input_tokens":37,"output_tokens":11,"output_tokens_details":{"reasoning_tokens":0},"total_tokens":48},"user":null,"metadata":{}}}16486data: {"type":"response.completed","response":{"id":"resp_67c9fdcecf488190bdd9a0409de3a1ec07b8b0ad4e5eb654","object":"response","access_programs":null,"created_at":1741290958,"status":"completed","error":null,"incomplete_details":null,"instructions":"You are a helpful assistant.","max_output_tokens":null,"model":"gpt-6-astra","output":[{"id":"msg_67c9fdcf37fc8190ba82116e33fb28c507b8b0ad4e5eb654","type":"message","status":"completed","role":"assistant","content":[{"type":"output_text","text":"Hi there! How can I assist you today?","annotations":[],"logprobs":[]}]}],"parallel_tool_calls":true,"previous_response_id":null,"reasoning":{"effort":null,"summary":null},"store":true,"temperature":1.0,"text":{"format":{"type":"text"}},"tool_choice":"auto","tools":[],"top_p":1.0,"truncation":"disabled","usage":{"input_tokens":37,"output_tokens":11,"output_tokens_details":{"reasoning_tokens":0},"total_tokens":48,"input_tokens_details":{"cached_tokens":0,"cache_write_tokens":0}},"user":null,"metadata":{}},"sequence_number":13}
16487
16562```16488```
16563 16489
16564### Text input16490### Text input
16598 {16524 {
16599 "type": "output_text",16525 "type": "output_text",
16600 "text": "In a peaceful grove beneath a silver moon, a unicorn named Lumina discovered a hidden pool that reflected the stars. As she dipped her horn into the water, the pool began to shimmer, revealing a pathway to a magical realm of endless night skies. Filled with wonder, Lumina whispered a wish for all who dream to find their own hidden magic, and as she glanced back, her hoofprints sparkled like stardust.",16526 "text": "In a peaceful grove beneath a silver moon, a unicorn named Lumina discovered a hidden pool that reflected the stars. As she dipped her horn into the water, the pool began to shimmer, revealing a pathway to a magical realm of endless night skies. Filled with wonder, Lumina whispered a wish for all who dream to find their own hidden magic, and as she glanced back, her hoofprints sparkled like stardust.",
16601 "annotations": []16527 "annotations": [],
16528 "logprobs": []
16602 }16529 }
16603 ]16530 ]
16604 }16531 }
16702 "url": "https://.../?utm_source=chatgpt.com",16629 "url": "https://.../?utm_source=chatgpt.com",
16703 "title": "..."16630 "title": "..."
16704 }16631 }
16705 ]16632 ],
16633 "logprobs": []
16706 }16634 }
16707 ]16635 ]
16708 }16636 }